
Figure - Bug #115860
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111050 (New): AF-V2.0-Launcher/SystemUI-桌面管理

【AF】【EVT2】【桌面】user版本打开USB调试后，不弹出“允许USB调试吗”的弹窗，需要重启后才会弹
出
2023-02-03 15:53 - CD Test赵飞

Status: CLOSED Start date: 2023-02-03

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: wifi热点功能合入时间未定，暂时关闭此问题

Description

【前提条件】

1、设备刷机后开机

2、USB连接PC

【测试步骤】

1、进入设置- 关于本机

2、连续点击“版本号”7次打开开发者模式

3、进入开发者模式，打开“USB调试”开关

【预期结果】

3、弹出“允许USB调试吗”的弹窗

【实际结果】

3、没有弹出“允许USB调试吗”的弹窗，重启设备后才弹出

【日志】

截图见附件

History

#1 - 2023-02-03 15:53 - CD Test赵飞

- Category set to CD-APP

#2 - 2023-02-03 17:26 - CD APP-王营

- Category changed from CD-APP to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW 曹覃刚

#3 - 2023-02-06 13:58 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- Need_Info changed from -- to TEST
Hi 飞哥

这个问题在UserDebug版本上无法复现，UserDebug打开“USB调试”开关不会出现票中图里的弹窗

User版本无法本地添加日志调试，调查困难

飞书与您沟通

仅User版存在此问题，且之前的版本不存在此问题，请帮忙定位问题的发生版本，我们将根据此版本中的提交来定位问题发生的原因

十分感谢

#4 - 2023-02-06 19:29 - CD Test赵飞

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to CD FW 曹覃刚

已确认，1/10的release版本有此弹窗，1/11的DB版本就不弹了

请继续调查分析，谢谢。

#5 - 2023-02-07 10:32 - CD FW 曹覃刚

■ 当前的状态

根据问题发生版本，找到下面的疑似提交

http://10.0.232.3:3307/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/175640

■ 下一步解析计划

已revert该提交,并在Jenkins上构建了USER版本，待编译完成测试

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2468/console

#6 - 2023-02-07 16:50 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

Hi 飞哥

已定位问题原因, 是由下列提交引起

http://10.0.232.3:3307/gerrit/c/general/platform/vendor/thundercomm/apps/TCService/+/175640

该提交是为了使用wifi adb功能做的临时修改

待LC组添加 默认开启wifi热点功能 后会移除 预计02/24

请在02/24, 再次验证此功能，感谢

#7 - 2023-02-07 17:25 - CD Test赵飞

待2/24号版本release后再验证

#8 - 2023-02-28 14:35 - CD Test赵飞

默认开启wifi热点功能暂时没有投入，此问题待验证

#9 - 2023-03-23 14:10 - CD Test赵飞
- Status changed from NEED_INFO to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIX_LATER

- Root cause set to wifi热点功能合入时间未定，暂时关闭此问题

wifi热点功能合入时间未定，暂时关闭此问题

#10 - 2023-03-23 14:11 - CD Test赵飞

- Resolution changed from FIX_LATER to WONTFIX

#11 - 2023-03-23 14:11 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

#12 - 2023-03-23 14:11 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

screenshot.png 298 KB 2023-02-03 CD Test赵飞
